Processing
Options
Usage
MagickWand
MagickCore
PerlMagick
Magick++
Unix
Windows
Unix
Mac OS X
Windows
Links

## GetMagickCopyright

GetMagickCopyright() returns the ImageMagick API copyright as a string.

The format of the GetMagickCopyright method is:

      const char *GetMagickCopyright(void)

## GetMagickHomeURL

GetMagickHomeURL() returns the ImageMagick home URL.

The format of the GetMagickHomeURL method is:

      char *GetMagickHomeURL(void)

## GetMagickPackageName

GetMagickPackageName() returns the ImageMagick package name.

The format of the GetMagickName method is:

      const char *GetMagickName(void)

No parameters are required.

## GetMagickQuantumDepth

GetMagickQuantumDepth() returns the ImageMagick quantum depth.

The format of the GetMagickQuantumDepth method is:

      const char *GetMagickQuantumDepth(unsigned long *depth)

A description of each parameter follows:

##### depth

the quantum depth is returned as a number.

## GetMagickQuantumRange

GetMagickQuantumRange() returns the ImageMagick quantum range.

The format of the GetMagickQuantumRange method is:

      const char *GetMagickQuantumRange(unsigned long *range)

A description of each parameter follows:

##### range

the quantum range is returned as a number.

## GetMagickReleaseDate

GetMagickReleaseDate() returns the ImageMagick release date.

The format of the GetMagickReleaseDate method is:

      const char *GetMagickReleaseDate(void)

No parameters are required.

## GetMagickVersion

GetMagickVersion() returns the ImageMagick API version as a string and as a number.

The format of the GetMagickVersion method is:

      const char *GetMagickVersion(unsigned long *version)

A description of each parameter follows:

##### version

the ImageMagick version is returned as a number.

Discourse Server • Mailing Lists • Studio